Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class MultithreadedPrivilegedCacheableDirectResponseCharacterChannelAdapter

    java.lang.Object
      org.jasig.portal.MultithreadedCharacterChannelAdapter
          org.jasig.portal.MultithreadedCacheableCharacterChannelAdapter
              org.jasig.portal.MultithreadedPrivilegedCacheableCharacterChannelAdapter
                  org.jasig.portal.MultithreadedPrivilegedCacheableDirectResponseCharacterChannelAdapter

All Implemented Interfaces:
  ICacheable, IChannel, ICharacterChannel, IDirectResponse, IPrivileged, IPrivilegedChannel

    public class MultithreadedPrivilegedCacheableDirectResponseCharacterChannelAdapter

extends MultithreadedPrivilegedCacheableCharacterChannelAdapter
implements IDirectResponse

Version:
  $Revision: 1.3 $
Author:
  Eric Dalquist edalquist@unicon.net

Field Summary

Fields inherited from class org.jasig.portal.MultithreadedCharacterChannelAdapter
`channel, uid`

Constructor Summary
`MultithreadedPrivilegedCacheableDirectResponseCharacterChannelAdapter(IMultithreadedCharacterChannel channel, java.lang.String uid)`

Method Summary
`void` | `setResponse(javax.servlet.http.HttpServletResponse response)` Sets the HttpServletResponse for the channel to use.

Methods inherited from class org.jasig.portal.MultithreadedPrivilegedCacheableCharacterChannelAdapter
`setPortalControlStructures`

Methods inherited from class org.jasig.portal.MultithreadedCacheableCharacterChannelAdapter
`generateKey, isCacheValid`

Methods inherited from class org.jasig.portal.MultithreadedCharacterChannelAdapter
`getRuntimeProperties, receiveEvent, renderCharacters, renderXML, setRuntimeData, setStaticData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasig.portal.IChannel
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData, setStaticData`

Constructor Detail

### MultithreadedPrivilegedCacheableDirectResponseCharacterChannelAdapter

    public MultithreadedPrivilegedCacheableDirectResponseCharacterChannelAdapter(IMultithreadedCharacterChannel channel,
                                                                                 java.lang.String uid)
                                                                          throws PortalException

Throws:
  `PortalException`

Method Detail

### setResponse

    public void setResponse(javax.servlet.http.HttpServletResponse response)

  Description copied from interface: `IDirectResponse`
  Sets the HttpServletResponse for the channel to use.

  Specified by:
    `setResponse` in interface `IDirectResponse`
  Parameters:
    `response` - The HttpServletResponse for the channel to use.
  See Also:
    `IMultithreadedDirectResponse.setResponse(String, javax.servlet.http.HttpServletResponse)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD